Subject: Re: [clisp-list] Re: How do I load the fastcgi module?

From: [email-masked]
Date: Wed Sep 10 19:41:02 2003

First of all, thanks your time in answering...

"John K. Hinsdale" <[email-masked]> wrote:
> 
>  >  Newbie help: how do I load the fastcgi module?
> 
> The FastCGI module is available only if you're compiling CLISP from
> the source code.

	Oh, that must be the answer, then. I thought CLISP already came with
FastCGI.
 It seems I misinterpreted the 2.31 release notes. 

  I don't believe it's compiled into any distributed
> binaries.  You're compiling from source code and not using a Windows
> binary, right?
> 
  Wrong. :-) Oh, Jesus, I'm going for the easy stuff, I'm a doctor +
wannabe hacker.

>  > The documentation 
>  > mentioned a lot of - to me - strange stuff: C header files, etc, that 
>  > didn't seem to make much sense for a builtin module.
 
 The documentation I was talking about was the CLISP Implementation
Notes.
> 
> Which documentation are you talking about?  The only doc, for the
> CLISP FastCGI module is a brief (but fairly complete) README, which
> doesn't mention anthing about header files.  It's a bit out of date
> now that FastCGI is distributed w/ CLISP.  I can fix that.
> 
>  > I'm sorry, I forgot to add, this is on Win32. There is no "modules" 
>  > directory in /src.
> 
> When you unpack the source code archive for CLISP there should be a
> directory called "modules" and under that "fastcgi".  Maybe things are
> different for Win32.  I've only ever built the FastCGI on Unix.
> However, the process should be the same on Windows?

 I guess I don't have modules because I got a binary. Must get sources,
then?
 How do I compile CLISP on Win32...? Hmmm...Got some reading to do...
 Can you just tip me here: if I have a CLISP, can I bootstrap the CLISP
sources?

 You see, this is the thing. Under Win32, you are kind of restricted.
 You can't deploy SBCL or CMUCL. CLISP is very multiplatform, which
makes it an excellent choice if you have to work on *Nix + Win32.
 In fact, my guess is once you guys get multithreading, you will be 
the dominant Free Software Common Lisp, because of the high quality
and the multiplatform issue.

 Do you think I should file a bug report? 
> 
> Also: do you have the FastCGI library (downloaded from fastcgi.com)
> built and installed?  The CLISP module is simply an interface to this
> library, which must be present.  It looks like for Windows (whose web
> servers use ISAPI/NSAP) you need to visit:
> 
>     http://www.caraveo.com/fastcgi/

 Yes, I have FastCGI.
> 
> Hope this helps.  Let me know what you learn and I can assist from
> there.
> 
  Yes, thank you for the helping hand. 

  Best regards to you, John.

---

From: Sam Steingold <[email-masked]>
Date: Fri Sep 12 12:18:50 2003

>*  <[email-masked]> [2003-09-10 23:27:37 +0300]:
>  I guess I don't have modules because I got a binary. Must get
> sources, then?  How do I compile CLISP on Win32...? Hmmm...Got some
> reading to do...  Can you just tip me here: if I have a CLISP, can I
> bootstrap the CLISP sources?

get cygwin.
get CLISP sources.
make sure that FastCGI sources and headers are in the paths (binary and
include), set CFLAGS and PATH if necessary.
in the top-level CLISP source directory:

$ ./configure --with-mingw --with-module=fastcgi --build build-fastcgi
<add more modules, e.g., --with-module=regexp --with-module=syscalls
--with-module=bindings/win32 if desired>

$ cd build-fastcgi

$ make distrib

unzip clisp-2.31-win32.zip in the desired location.

(--with-mingw makes sure that your executables will not use any cygwin
libraries).

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
non-smoking section in a restaurant == non-peeing section in a swimming pool